Skip to main content
GET
/
pci
/
cards
/
{cardId}
/
challenge
Get PCI EIP-712 Challenge
const options = {method: 'GET'};

fetch('https://gp-auth-module.prod.gnosispay.com/pci/cards/{cardId}/challenge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "domain": {
    "name": "<string>",
    "version": "<string>",
    "chainId": 123
  },
  "types": {
    "Message": [
      {
        "name": "<string>",
        "type": "<string>"
      }
    ]
  },
  "message": {
    "authorization": "<string>",
    "nonce": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

cardId
string<uuid>
required

Query Parameters

action
enum<string>
required

The operation being authorized: 'view-details' (card PAN/CVV), 'view-pin' (read PIN), 'change-pin' (set new PIN).

Available options:
view-details,
view-pin,
change-pin

Response

Challenge created successfully

Complete EIP-712 typed data. Pass this object directly to signTypedData — convert message.nonce to BigInt before signing.

domain
object
required

EIP-712 domain separator.

primaryType
enum<string>
required

EIP-712 primary type.

Available options:
Message
types
object
required

EIP-712 type definitions.

message
object
required

EIP-712 message payload.